## GnomeDbErrorDialog

GnomeDbErrorDialog — Error dialog widget

##

# Synopsis

    struct      GnomeDbErrorDialog;
    struct      GnomeDbErrorDialogClass;
    struct      GnomeDbErrorDialogPrivate;
    GtkWidget*  gnome_db_error_dialog_new       (gchar *title);
    void        gnome_db_error_dialog_show_errors
                                                (GnomeDbErrorDialog *dialog,
                                                 GList *error_list);
    const gchar* gnome_db_error_dialog_get_title
                                                (GnomeDbErrorDialog *dialog);
    void        gnome_db_error_dialog_set_title (GnomeDbErrorDialog *dialog,
                                                 const gchar *title);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----GnomeDbErrorDialog

## Implemented Interfaces

GnomeDbErrorDialog implements AtkImplementorIface and GtkBuildable.

## Properties

      "title"                gchararray           : Read / Write

## Description

## Details

### struct GnomeDbErrorDialog

    struct GnomeDbErrorDialog;

### struct GnomeDbErrorDialogClass

    struct GnomeDbErrorDialogClass {

    	GtkDialogClass parent_class;
    };

### struct GnomeDbErrorDialogPrivate

    struct GnomeDbErrorDialogPrivate;

### gnome_db_error_dialog_new ()

    GtkWidget*  gnome_db_error_dialog_new       (gchar *title);

Create a new GnomeDbErrorDialog, which is a subclass of the GnomeDialog widget, just acting as a container for a GnomeDbError widget

`title` : | title of the dialog box
Returns : | a pointer to the new widget, or NULL on error

### gnome_db_error_dialog_show_errors ()

    void        gnome_db_error_dialog_show_errors
                                                (GnomeDbErrorDialog *dialog,
                                                 GList *error_list);

Pops up the given GnomeDbErrorDialog widget, displaying any errors that may be reported for the connection being used by this widget

`dialog` : | the GnomeDbErrorDialog widget
`error_list` : | list of errors to show

### gnome_db_error_dialog_get_title ()

    const gchar* gnome_db_error_dialog_get_title
                                                (GnomeDbErrorDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_error_dialog_set_title ()

    void        gnome_db_error_dialog_set_title (GnomeDbErrorDialog *dialog,
                                                 const gchar *title);

Change the title for the given GnomeDbErrorDialog widget

`dialog` : | the GnomeDbErrorDialog widget
`title` : | title to be shown

## Properties

"`title`" (gchararray : Read / Write) | Dialog's title.